<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

$can=mysqli_query($con,"SELECT MAX(mar_id)as mar_id FROM marca") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can); 
$mar_id=$dato['mar_id']+1;

$marca_nombre=mb_strtoupper(mysqli_real_escape_string($con, $_POST['marca_nombre']));
$can1=mysqli_query($con,"SELECT * FROM marca where mar_nombre='$marca_nombre' AND empresa='$empresa'") or die(mysqli_error($con)); 
$result = mysqli_num_rows($can1);
if($result == 0)
{
    $nameimagen = $_FILES['imagen']['name'];
    $tmpimagen = $_FILES['imagen']['tmp_name'];
    $extimagen = pathinfo($nameimagen);
    $ext = array("","jpg","jpeg","png","jfif","gif","tif","tiff");
    $urlnueva = "../img/marca/".$mar_id.".jpg";
    if(is_uploaded_file($tmpimagen))
    {
        if(array_search($extimagen['extension'],$ext))
        {
            copy($tmpimagen, $urlnueva);
        }
        else 
        {
            echo '<div class="alert alert-danger alert-dismissable">
                  <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                  <strong>La imagen no se guardo! </strong> Solo se permiten imágenes con formato  jpg.
                </div>';
        }
    }

    $sql="INSERT into marca (mar_id,mar_nombre,empresa) 
          VALUES ('$mar_id','$marca_nombre','$empresa')";

    $query_new_insert = mysqli_query($con,$sql);
    if ($query_new_insert)
    {
        $messages[] = "La Marca ha sido ingresada satisfactoriamente.";
    } 
    else
    {
        $errors []= "Lo siento algo ha salido mal intenta nuevamente.".mysqli_error($con);
    }
}   
else 
{
    $errors []= "Marca no disponible";
}
        
if (isset($errors))
{  ?>
    <div class="alert alert-danger" role="alert">
        <button type="button" class="close" data-dismiss="alert">&times;</button>
        <strong>Error!</strong> 
        <?php
            foreach ($errors as $error) 
            {
                echo $error;
            }
        ?>
    </div>
<?php
}
if (isset($messages))
{
?>
    <div class="alert alert-success" role="alert">
        <button type="button" class="close" data-dismiss="alert">&times;</button>
        <strong>¡Bien hecho!</strong>
        <?php
            foreach ($messages as $message) 
            {
                echo $message;
            }
        ?>
    </div>
<?php  } ?>

 <script type="text/javascript">
    document.getElementById("add_name").reset();
</script>

